List runs of an experiment
import requests
url = "https://app.langwatch.ai/api/experiments/runs"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/experiments/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/experiments/runs \
--header 'X-Auth-Token: <api-key>'{
"experimentId": "<string>",
"experimentSlug": "<string>",
"runs": [
{
"experimentId": "<string>",
"runId": "<string>",
"workflowVersion": {
"id": "<string>",
"version": "<string>",
"commitMessage": "<string>",
"author": {
"name": "<string>",
"image": "<string>"
}
},
"timestamps": {
"createdAt": 123,
"updatedAt": 123,
"finishedAt": 123,
"stoppedAt": 123
},
"summary": {
"evaluations": {},
"datasetCost": 123,
"evaluationsCost": 123,
"datasetAverageCost": 123,
"datasetAverageDuration": 123,
"evaluationsAverageCost": 123,
"evaluationsAverageDuration": 123
},
"progress": 123,
"total": 123
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalHits": 123,
"hasMore": true
}
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"fault": "<string>",
"tips": [
"<string>"
],
"docsUrl": "<string>"
}{
"error": "<string>",
"message": "<string>",
"fault": "<string>",
"tips": [
"<string>"
],
"docsUrl": "<string>"
}Experiments
List runs of an experiment
Runs recorded for one experiment, newest first. Page through them with page and pageSize.
GET
/
api
/
experiments
/
runs
List runs of an experiment
import requests
url = "https://app.langwatch.ai/api/experiments/runs"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/experiments/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/experiments/runs \
--header 'X-Auth-Token: <api-key>'{
"experimentId": "<string>",
"experimentSlug": "<string>",
"runs": [
{
"experimentId": "<string>",
"runId": "<string>",
"workflowVersion": {
"id": "<string>",
"version": "<string>",
"commitMessage": "<string>",
"author": {
"name": "<string>",
"image": "<string>"
}
},
"timestamps": {
"createdAt": 123,
"updatedAt": 123,
"finishedAt": 123,
"stoppedAt": 123
},
"summary": {
"evaluations": {},
"datasetCost": 123,
"evaluationsCost": 123,
"datasetAverageCost": 123,
"datasetAverageDuration": 123,
"evaluationsAverageCost": 123,
"evaluationsAverageDuration": 123
},
"progress": 123,
"total": 123
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalHits": 123,
"hasMore": true
}
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"fault": "<string>",
"tips": [
"<string>"
],
"docsUrl": "<string>"
}{
"error": "<string>",
"message": "<string>",
"fault": "<string>",
"tips": [
"<string>"
],
"docsUrl": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Query Parameters
Slug of the experiment whose runs you want
1-based page number
Runs per page, capped at 200
Required range:
x <= 200Was this page helpful?
⌘I